summaryrefslogtreecommitdiffstats
path: root/system/qemu-legacy
diff options
context:
space:
mode:
Diffstat (limited to 'system/qemu-legacy')
-rw-r--r--system/qemu-legacy/README8
-rw-r--r--system/qemu-legacy/qemu-legacy.SlackBuild97
-rw-r--r--system/qemu-legacy/qemu-legacy.info10
-rw-r--r--system/qemu-legacy/slack-desc19
4 files changed, 134 insertions, 0 deletions
diff --git a/system/qemu-legacy/README b/system/qemu-legacy/README
new file mode 100644
index 0000000000..5e7a333cb8
--- /dev/null
+++ b/system/qemu-legacy/README
@@ -0,0 +1,8 @@
+qemu (open source processor emulator)
+
+QEMU is a generic and open source processor emulator which achieves
+a good emulation speed by using dynamic translation.
+
+This SlackBuild builds qemu-0.11.1 which was the last version to
+support the kqemu kernel module (also available here). It is for
+people with hardware that doesn't support virtualisation.
diff --git a/system/qemu-legacy/qemu-legacy.SlackBuild b/system/qemu-legacy/qemu-legacy.SlackBuild
new file mode 100644
index 0000000000..b43e1431aa
--- /dev/null
+++ b/system/qemu-legacy/qemu-legacy.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+
+# Slackware build script for qemu
+
+# Copyright 2010 David Woodfall <dave@dawoodfall.net>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=qemu-legacy
+VERSION=${VERSION:-0.11.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=qemu
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --enable-system \
+ --audio-drv-list=oss,alsa,sdl,esd
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE README TODO COPYING COPYING.LIB *.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/qemu-legacy/qemu-legacy.info b/system/qemu-legacy/qemu-legacy.info
new file mode 100644
index 0000000000..ba7d58c1e5
--- /dev/null
+++ b/system/qemu-legacy/qemu-legacy.info
@@ -0,0 +1,10 @@
+PRGNAM="qemu-legacy"
+VERSION="0.11.1"
+HOMEPAGE="http://wiki.qemu.org/Main_Page"
+DOWNLOAD="http://download.savannah.gnu.org/releases/qemu/qemu-0.11.1.tar.gz"
+MD5SUM="193285b0bcf655a7f7577d05ffcb82b1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="David Woodfall"
+EMAIL="dave@dawoodfall.net"
+APPROVED="rworkman"
diff --git a/system/qemu-legacy/slack-desc b/system/qemu-legacy/slack-desc
new file mode 100644
index 0000000000..fdca1416de
--- /dev/null
+++ b/system/qemu-legacy/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+qemu-legacy: qemu-legacy (open source processor emulator)
+qemu-legacy:
+qemu-legacy: QEMU is a generic and open source processor emulator which achieves
+qemu-legacy: a good emulation speed by using dynamic translation.
+qemu-legacy:
+qemu-legacy: This package contains the last release of the qemu-0.11.x branch,
+qemu-legacy: which was the last to support the kqemu kernel module.
+qemu-legacy: This is for people with hardware that doesn't support virtualisation.
+qemu-legacy:
+qemu-legacy: Homepage: http://wiki.qemu.org/Main_Page
+qemu-legacy: